<!-- import excel ke mysql -->

<?php 
// menghubungkan dengan koneksi
include 'connect.php';
// menghubungkan dengan library excel reader
include "excel_reader2.php";
?>

<?php
// upload file xls
$target = basename($_FILES['filekti']['name']) ;
move_uploaded_file($_FILES['filekti']['tmp_name'], $target);

// beri permisi agar file xls dapat di baca
chmod($_FILES['filekti']['name'],0777);

// mengambil isi file xls
$data = new Spreadsheet_Excel_Reader($_FILES['filekti']['name'],false);
// menghitung jumlah baris data yang ada
$jumlah_baris = $data->rowcount($sheet_index=0);

// jumlah default data yang berhasil di import
$berhasil = 0;
for ($i=2; $i<=$jumlah_baris; $i++){

	// menangkap data dan memasukkan ke variabel sesuai dengan kolumnya masing-masing
	$nim = $data->val($i, 1);
	$no_trans = $data->val($i, 2);
	$no_ijz = $data->val($i, 3);
	$tgl_lls = $data->val($i, 4);
	$nil_uap = $data->val($i, 5);
	$i_kti = $data->val($i, 6);
	$en_kti = $data->val($i, 7);
	
	if($nim != "" && $no_trans != "" && $no_ijz != ""){
		// input data ke database (table mhs)
		 mysqli_query($koneksi,"insert into transkrip values('$nim','$no_trans','$no_ijz','$tgl_lls','$nil_uap','$i_kti','$en_kti')");
		$berhasil++;
	}
}

// hapus kembali file .xls yang di upload tadi
unlink($_FILES['filekti']['name']);

// alihkan halaman ke index.php
header("location:upload.php?berhasil=$berhasil");
?>
